Bug 460544 - Add ability to make kickoff smaller
Summary: Add ability to make kickoff smaller
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Application Launcher (Kickoff) (show other bugs)
Version: 5.26.0
Platform: Archlinux Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-16 15:26 UTC by rhysscandle
Modified: 2022-10-25 17:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rhysscandle 2022-10-16 15:26:00 UTC
STEPS TO REPRODUCE
1. Open Kickoff
2. Try to resize smaller

OBSERVED RESULT
Same size


EXPECTED RESULT
Kickoff resizes to fit two columns in application grid


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.26
KDE Frameworks Version: 5.99
Qt Version: 5.15.6

ADDITIONAL INFORMATION
Running under X11
Comment 1 Bug Janitor Service 2022-10-17 10:31:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1210
Comment 2 Niccolò Venerandi 2022-10-25 08:51:23 UTC
Git commit 1501fa32f892e9c70b4a9ff2bbb9d416f75a6cd6 by Niccolò Venerandi, on behalf of Niccolo Venerandi.
Committed on 25/10/2022 at 08:50.
Pushed by niccolove into branch 'master'.

Allows kickoff to be set to a smaller size

M  +4    -2    applets/kickoff/package/contents/ui/FullRepresentation.qml

https://invent.kde.org/plasma/plasma-desktop/commit/1501fa32f892e9c70b4a9ff2bbb9d416f75a6cd6